function plotSurface(res, parameters, K, T, IVolModel, IVol, settings, iterationid)
% Function used to visualize data. Will be called automatically.
if settings.indPlotSurface
    k = 0;
    for i = 1:length(unique(T))
        for j = 1:length(unique(K))
            k = k+1;
            IVolSurfModel(i,j) = IVolModel(k);
            IVolSurf(i,j) = IVol(k);
        end
    end

    figure(1);
    surf(log(unique(K)), unique(T), IVolSurfModel);
    alpha(0.2)
    hold on;
    surf(log(unique(K)), unique(T), IVolSurf);
    hold off;
    xlabel('Log-Strike ($\log(K/S_0)$)','Interpreter','LaTex');
    ylabel('Maturity time ($T$, in years)','Interpreter','LaTex');
    zlabel('Implied volatility','Interpreter','LaTex');
    title('Data (non-transparent), model (transparent)','Interpreter','LaTex');
    drawnow;
end

if settings.showParameters
    disp(['kappa:   ', num2str(parameters.kappa)]);
    disp(['theta:   ', num2str(parameters.theta)]);
    disp(['xi:      ', num2str(parameters.xi)]);
    disp(['rho:     ', num2str(parameters.rho)]);
    disp(['gamma:   ', num2str(parameters.gamma)]);
    disp(['V0:      ', num2str(parameters.V0)]);
    disp(['IVRMSE:  ', num2str(res)]);
    disp(['IterId:  ', num2str(iterationid)]);
    disp('-------------------');
end

end

